<?php

function getConfigurationFile($fileType) {
    header("Access-Control-Allow-Origin: *");
    header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE, OPTIONS");
    header("Access-Control-Allow-Headers: Content-Type");
    
    $headers         = getallheaders();
    $environmentPath = "";

    $client     = isset($headers['x-client-env'])  ? $headers['x-client-env']  : null;
    $clientType = isset($headers['x-client-type']) ? $headers['x-client-type'] : null;

    /*
    if((empty($client) || empty($clientType))) { 
        errorMessage("Invalid client preset");        
    }
    */

    if($clientType == 'saas' || $clientType == 'hosting') {
        return json_encode([
            "driver"        => "oci8",
            "host"          => "",
            "port"          => "",
            "user"          => "/",
            "password"      => "",
            "dbname"        => $client,
            "charset"       => "AL32UTF8",
            "service"       => true,
            "sessionMode"   => "OCI_CRED_EXT"
        ]);
    } else {
        $environmentPath = __DIR__ . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . $fileType;
    }

    if(!file_exists($environmentPath)) {
        errorMessage("Invalid $fileType file");
    }

    return file_get_contents($environmentPath);
}


function getValueFromEnv($key, $value = "") {
    if(!file_exists(__DIR__ . "/../env.ini")) {
       errorMessage("Invalid .env file");
    }

    $envFile = fopen(__DIR__ . "/../env.ini", "r");
    while(!feof($envFile)) {
        $line         = fgets($envFile);
        $tmp          = explode('=', $line);
        $currentKey   = $tmp[0];
        $currentValue = trim($tmp[1]);
        if($currentKey == $key) {
            $value = $currentValue;
            break;                
        }
    }
    
    fclose($envFile);
    return $value;
}

function getClientName() {
    $clientDataPath = __DIR__ . DIRECTORY_SEPARATOR . '..' . DIRECTORY_SEPARATOR . 'config.json';

    if(!file_exists($clientDataPath)) {
        errorMessage("Invalid client config file");
    }

    return json_decode(file_get_contents($clientDataPath), true);
}


function errorMessage($error) {
    echo json_encode([
        'error'   => true,
        'message' => $error,
        'data'    => []
    ]); 
    die;
}